package tests.com.anselmbradford
{
	import flexunit.framework.TestCase;
	import com.anselmbradford.Calculator;
	
	public class TestCalculator extends TestCase
	{
		private var calculator : Calculator;
		
		public function TestCalculator ( methodName : String = null)
		{
			super ( methodName );
		}
		
		override public function setUp() : void
		{
			calculator = new Calculator();
		}
		
		override public function tearDown() : void
		{
			calculator = null;
		}
		
		public function testAdd() : void
		{
			var result : Number = calculator.add(2,2);
			assertEquals(4, result);
		}
		
		public function testDivide() : void
		{
			var result : Number = calculator.divide(2,2);
			assertEquals(1, result);
		}
		
		public function testMinus() : void
		{
			var result : Number = calculator.minus(3,2);
			assertEquals(1, result);
		}
		
		public function testMultiply() : void
		{
			var result : Number = calculator.multiply( 2, 4 );
			assertEquals( 8, result );
		}
	}
}